package models;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.CascadeType;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.OneToMany;

import play.db.jpa.Model;

@Entity
public class Category extends Model {

	public String title;
	@Lob
	public String description;
	@OneToMany(mappedBy = "category", cascade = CascadeType.ALL)
	public List<Book> books;

	public Category(String title, String description) {

		this.title = title;
		this.description = description;
		this.books = new ArrayList<Book>();

	}

	public Category addBook(String title, String description, String condition,
			String author, int prize, int stock) {
		
		Book newBook = new Book(title, description, condition, author, prize, stock, this).save();
		this.books.add(newBook);
		this.save();
		return this;

	}

}
